Package org.eclipse.birt.chart.script.api.component

# Interface ICategory

public interface ICategory
Represents the category(X) Series of a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`ISeriesData`
`getDataExpr()`
Gets query expression in the Category
`ISeriesGrouping`
`getGrouping()`
Gets grouping related information
`String`
`getOptionalValueGroupingExpr()`
Gets the query expression for optional grouping for value series.
`String`
`getSorting()`
Gets the name of SortOption.
`void`
`setOptionalValueGroupingExpr(String expr)`
Sets the query expression for optional grouping for value series.
`void`
`setSorting(String sorting)`
Sets SortOption by name.

## Method Details

### getDataExpr

ISeriesData getDataExpr()
Gets query expression in the Category

Returns:
  query expression object

### getGrouping

ISeriesGrouping getGrouping()
Gets grouping related information

Returns:
  series grouping object

### getSorting

String getSorting()
Gets the name of SortOption. Return values are an enumeration including "Ascending" and "Descending". Default value is "Ascending"

Returns:
  the name of SortOption
See Also:
  - `SortOption`

### setSorting

void setSorting(String sorting)
Sets SortOption by name. Sorting names are an enumeration including "Ascending" and "Descending". Default value is "Ascending". If sorting name is invalid, will set the default value.

Parameters:
  `sorting` - the name of SortOption
See Also:
  - `SortOption`

### getOptionalValueGroupingExpr

String getOptionalValueGroupingExpr()
Gets the query expression for optional grouping for value series.

Returns:
  query expression

### setOptionalValueGroupingExpr

void setOptionalValueGroupingExpr(String expr)
Sets the query expression for optional grouping for value series.

Parameters:
  `expr` - query expression